export interface Pattern {
  id: string
  name: string
  description: string
  formalizations: Formalization[]
}

export interface CreatePatternRequest {
  name: string
  description: string
}

export interface Formalization {
  id: string
  name: string
  fileName: string
  url: string
}

export interface CreateFormalizationRequest {
  patternId: string
  name: string
  fileName: string
  file: File
}

export interface FileWithName {
  name: string
  file: File
}
